%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major          0
%define libname        %mklibname matemixer %{major}
%define develname      %mklibname -d matemixer

# filter out plugin .so provides
%define _requires_exceptions %{_libdir}/%{name}/.*\\.so


Summary:        A mixer library for MATE desktop
Name:           libmatemixer
Version:        1.28.0
Release:        %mkrel 1
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            http://www.mate-desktop.org

BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.36.0
# Pulseaudio backend
BuildRequires:  pkgconfig(libpulse) >= 2.0.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 2.0.0
#Alsa backend
BuildRequires:  pkgconfig(alsa) >= 1.0.5
BuildRequires:  pkgconfig(gthread-2.0) >= 2.36.0

%description
libmatemixer is a mixer library for MATE desktop.
It provides an abstract API allowing access to mixer functionality
available in the PulseAudio, ALSA and OSS sound systems.

Documentation for the API is provided with gtk-doc

%package -n %{libname}
Group:          System/Libraries
Summary:        %{summary}
Requires:       %{name}

%description -n %{libname}
libmatemixer is a mixer library for MATE desktop.
It provides an abstract API allowing access to mixer functionality
available in the PulseAudio, ALSA and OSS sound systems.

%package -n     %{develname}
Group:          Development/Libraries
Summary:        Devel files for Mate Mixer Library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for Mate Mixer Library.


%prep
%setup -q

%build
%configure2_5x --disable-static --enable-oss

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool


%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_datadir}/gtk-doc/html/libmatemixer

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/%{name}-null.so
%{_libdir}/%{name}/%{name}-pulse.so
%{_libdir}/%{name}/%{name}-alsa.so
%{_libdir}/%{name}/%{name}-oss.so

%files -n %{develname}
%{_libdir}/libmatemixer.so
%{_libdir}/pkgconfig/libmatemixer.pc
%{_includedir}/mate-mixer/


%changelog
* Tue Feb 13 2024 tex - 1.28.0-1pclos2024
- new version

* Thu Sep 28 2023 tex - 1.26.1-1pclos2023
- new version

* Wed Dec 21 2022 tex - 1.26.0-2pclos2022
- rebuild against updates

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Mon Feb 10 2020 tex - 1.24.0-1pclos2020
- Update to version 1.24.0
